org.apache.poi.xssf.usermodel

## Enum TextFontAlign

- java.lang.Object
- - java.lang.Enum<TextFontAlign>
  - - org.apache.poi.xssf.usermodel.TextFontAlign

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextFontAlign>

      public enum TextFontAlign
      extends java.lang.Enum<TextFontAlign>

  Specified a list of text font alignment types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Automatic alignment
    `BASELINE` Align text to the baseline.
    `BOTTOM` Align text to the bottom.
    `CENTER` Align text in the center.
    `TOP` Align text to the top.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextFontAlign` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextFontAlign[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final TextFontAlign AUTO

      Automatic alignment

    - #### TOP

          public static final TextFontAlign TOP

      Align text to the top.

    - #### CENTER

          public static final TextFontAlign CENTER

      Align text in the center.

    - #### BASELINE

          public static final TextFontAlign BASELINE

      Align text to the baseline.

    - #### BOTTOM

          public static final TextFontAlign BOTTOM

      Align text to the bottom.

  - ### Method Detail

    - #### values

          public static TextFontAlign[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextFontAlign c : TextFontAlign.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextFontAlign valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.